<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title="发票管理" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_36"
                android:background="#FFF5DA"
                android:drawableStart="@mipmap/ic_worning"
                android:drawablePadding="@dimen/dp_6"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_8"
                android:text="若上传了支付凭证我们会在24小时内处理并发放权益！"
                android:textColor="#FE9534"
                android:textSize="@dimen/sp_12" />

            <com.lihang.ShadowLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_marginTop="@dimen/dp_5"
                android:layout_marginEnd="@dimen/dp_5"
                app:hl_cornerRadius="@dimen/dp_10"
                app:hl_layoutBackground="#FFF5F3"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7"
                app:hl_strokeColor="@color/white"
                app:hl_strokeWith="@dimen/dp_1">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_marginTop="@dimen/dp_12"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:layout_marginBottom="@dimen/dp_32"
                    android:gravity="center_vertical"
                    android:text="重点：请在银行做对公转账提交前，复制下方【一键复制转账信息】到转账备注里面后，提交转账截图上传至【支付凭证】。便于我们审核核验，否者无法找到您的订单信息，造成【会员权益】无法发放。！"
                    android:textColor="@color/color_ff493c"
                    android:textSize="@dimen/sp_12" />
            </com.lihang.ShadowLayout>

            <com.lihang.ShadowLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_marginTop="-30dp"
                android:layout_marginEnd="@dimen/dp_5"
                app:hl_cornerRadius="@dimen/dp_10"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingTop="@dimen/dp_16"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_16">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="收款单位"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_account_name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:gravity="end"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="重庆元里千禾科技有限公司"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="银行账号"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_account_no"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:gravity="end"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="8888 8883 7345 2463"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="开户银行"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_bank_name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:gravity="end"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="浙江网商银行"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="银行行号"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_bank_no"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:gravity="end"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="323331000001"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="转账金额"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_amount"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:gravity="end"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="￥398.00"
                            android:textColor="@color/color_ff493c"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="订单识别码"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_code"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:gravity="end"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="1071759"
                            android:textColor="@color/color_ff493c"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <com.cheng.bole.widget.CommonShapeView
                        android:id="@+id/btn_copy"
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/dp_36"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="@dimen/dp_20"
                        android:paddingStart="@dimen/dp_16"
                        android:paddingEnd="@dimen/dp_16"
                        android:text="一键复制转账信息"
                        android:textColor="#337DFF"
                        android:textSize="@dimen/sp_14"
                        app:csb_cornerRadius="@dimen/dp_25"
                        app:csb_fillColor="#F4F8FF" />
                </LinearLayout>
            </com.lihang.ShadowLayout>

            <com.lihang.ShadowLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_marginEnd="@dimen/dp_5"
                app:hl_cornerRadius="@dimen/dp_10"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingTop="@dimen/dp_20"
                    android:paddingEnd="@dimen/dp_12"
                    android:paddingBottom="@dimen/dp_20">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_add_image"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_image"
                            android:layout_width="@dimen/dp_80"
                            android:layout_height="@dimen/dp_80"
                            android:background="@drawable/shape_dfdfdf_line_cor8"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_add_image"
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:scaleType="center"
                            android:src="@mipmap/ic_add_feedback_image"
                            app:layout_constraintBottom_toBottomOf="@id/iv_image"
                            app:layout_constraintEnd_toEndOf="@id/iv_image"
                            app:layout_constraintStart_toStartOf="@id/iv_image"
                            app:layout_constraintTop_toTopOf="@id/iv_image" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_delete_image"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/ic_delete_feedback_img"
                            android:visibility="gone"
                            app:layout_constraintEnd_toEndOf="@id/iv_image"
                            app:layout_constraintTop_toTopOf="@id/iv_image" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_20"
                        android:background="@mipmap/ic_cert_divider" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:text="转账截图需包含以下信息："
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_14" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_8"
                        android:lineSpacingExtra="@dimen/dp_8"
                        android:text="1.转账日期和时间；\n2.转账流水号/交易编号；\n3.付款/收款方信息；\n4.转账金额；\n5.转账状态；\n6.电子印章或银行水印；"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_12" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:text="注：若已对公转账，请点上传支付截图；"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_14" />
                </LinearLayout>
            </com.lihang.ShadowLayout>

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="提交"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>